Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.jzos
Class CatalogSearch.Entry

    java.lang.Object
      com.ibm.jzos.CatalogSearch.Entry

Enclosing class:
  CatalogSearch

    public class CatalogSearch.Entry

extends java.lang.Object

A static inner class of CatalogSearch which holds a catalog search entry. Entry types are either Catalog or Dataset. Catalog entries only contain a Catalog name, while Dataset entries contain the dataset name and the requested field data.

See Also:
  `isCatalogEntry()`, `isDatasetEntry()`

Method Summary
`java.lang.String` | `getCatalogName()` Return the name of the current Catalog (the entry name of the last Catalog entry read).
`int` | `getEntryLength()` Return the total length, in bytes, that this entry comprises in the work area.
`CatalogSearchField` | `getField(java.lang.String fieldName)` Return the field data associated with a fieldName.
`java.lang.String` | `getModuleId()` Return the entry reason area module id.
`java.lang.String` | `getName()` Return a String containing the 1-44 character name (blanks trimmed)
`int` | `getRc()` Return the entry reason area return code.
`int` | `getReason()` Return the entry reason area reason code.
`boolean` | `hasError()` Return true if the entry has an error.
`boolean` | `hasReasonArea()`
`boolean` | `isCatalogEntry()` Return true if this entry is a Catalog entry.
`boolean` | `isDatasetEntry()` Return true if this entry is a Dataset entry.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### isCatalogEntry

    public boolean isCatalogEntry()

  Return true if this entry is a Catalog entry.

### isDatasetEntry

    public boolean isDatasetEntry()

  Return true if this entry is a Dataset entry.

### hasError

    public boolean hasError()

  Return true if the entry has an error. If so, the methods `getRc()` and `getReason()` can be used to determine what the error is.

### getRc

    public int getRc()

  Return the entry reason area return code. Will be zero if `hasError()` is false.

### getReason

    public int getReason()

  Return the entry reason area reason code. Will be zero if `hasError()` is false.

### getModuleId

    public java.lang.String getModuleId()

  Return the entry reason area module id. Will be blank if `hasError()` is false.

### hasReasonArea

    public boolean hasReasonArea()

### getEntryLength

    public int getEntryLength()

  Return the total length, in bytes, that this entry comprises in the work area.

  Each entry has the following common information:

  - CSIFLAG[1]
  - CSITYPE[1]
  - CSIxNAME[44]
  If the entry is a Catalog entry or Dataset Entry that has an error, the following additional information will be present:
  - CSIxRETM[2]
  - CSIxRETR[1]
  - CSIxRETC[1]
  If the entry is a valid Dataset Entry, the above information will not be present, but a variable length field area (CSIEDATA) will be present.

  Returns:
    int the length of the entry

### getCatalogName

    public java.lang.String getCatalogName()

  Return the name of the current Catalog (the entry name of the last Catalog entry read).

### getName

    public java.lang.String getName()

  Return a String containing the 1-44 character name (blanks trimmed)

### getField

    public CatalogSearchField getField(java.lang.String fieldName)

  Return the field data associated with a fieldName.

  Parameters:
    `fieldName` - one of the names added via `CatalogSearch.addFieldName(String)`.
  Returns:
    CatalogSearchField the field
  Throws:
    `java.lang.UnsupportedOperationException` - if this method is called on a Catalog Entry
  See Also:
    `isCatalogEntry()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD